Skip to content
Newer
Older
100644 31 lines (26 sloc) 2.04 KB
b4000c9 @snusnu Added gemspec to repo (and a task to generate it)
snusnu authored
1 # -*- encoding: utf-8 -*-
2
3 Gem::Specification.new do |s|
4 s.name = %q{dm-paperclip}
ac8ec34 @krobertson Require extlib. Fixes issue with datamapper 1.0. Its a safe dependenc…
krobertson authored
5 s.version = "2.4.1"
b4000c9 @snusnu Added gemspec to repo (and a task to generate it)
snusnu authored
6
7 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
8 s.authors = ["Ken Robertson"]
78b1971 @postmodern Split the AwsLibrary and AwsS3Library mixins out into their own files.
postmodern authored
9 s.date = %q{2010-10-12}
b4000c9 @snusnu Added gemspec to repo (and a task to generate it)
snusnu authored
10 s.email = %q{ken@invalidlogic.com}
11 s.extra_rdoc_files = ["README.rdoc"]
78b1971 @postmodern Split the AwsLibrary and AwsS3Library mixins out into their own files.
postmodern authored
12 s.files = ["README.rdoc", "LICENSE", "Rakefile", "init.rb", "lib/dm-paperclip.rb", "lib/dm-paperclip", "lib/dm-paperclip/validations.rb", "lib/dm-paperclip/geometry.rb", "lib/dm-paperclip/storage", "lib/dm-paperclip/storage/s3.rb", "lib/dm-paperclip/storage/filesystem.rb", "lib/dm-paperclip/storage/s3", "lib/dm-paperclip/storage/s3/aws_library.rb", "lib/dm-paperclip/storage/s3/aws_s3_library.rb", "lib/dm-paperclip/iostream.rb", "lib/dm-paperclip/storage.rb", "lib/dm-paperclip/thumbnail.rb", "lib/dm-paperclip/attachment.rb", "lib/dm-paperclip/upfile.rb", "lib/dm-paperclip/callback_compatability.rb", "lib/dm-paperclip/processor.rb", "lib/dm-paperclip/interpolations.rb", "tasks/paperclip_tasks.rake", "test/paperclip_test.rb", "test/attachment_test.rb", "test/geometry_test.rb", "test/integration_test.rb", "test/iostream_test.rb", "test/fixtures", "test/fixtures/5k.png", "test/fixtures/bad.png", "test/fixtures/s3.yml", "test/fixtures/50x50.png", "test/fixtures/text.txt", "test/fixtures/12k.png", "test/storage_test.rb", "test/helper.rb", "test/thumbnail_test.rb"]
2b32b3c @solnic Regenerated gemspec
authored
13 s.homepage = %q{http://invalidlogic.com/dm-paperclip/}
b4000c9 @snusnu Added gemspec to repo (and a task to generate it)
snusnu authored
14 s.rdoc_options = ["--line-numbers", "--inline-source"]
15 s.require_paths = ["lib"]
c7f1409 @solnic Another gemspec update: do not depend on entire data_mapper gem
authored
16 s.requirements = ["ImageMagick", "dm-core", "dm-validations"]
b4000c9 @snusnu Added gemspec to repo (and a task to generate it)
snusnu authored
17 s.rubyforge_project = %q{dm-paperclip}
2b32b3c @solnic Regenerated gemspec
authored
18 s.rubygems_version = %q{1.3.7}
b4000c9 @snusnu Added gemspec to repo (and a task to generate it)
snusnu authored
19 s.summary = %q{File attachments as attributes for DataMapper, based on the original Paperclip by Jon Yurek at Thoughtbot}
20
21 if s.respond_to? :specification_version then
22 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
23 s.specification_version = 3
24
2b32b3c @solnic Regenerated gemspec
authored
25 if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
b4000c9 @snusnu Added gemspec to repo (and a task to generate it)
snusnu authored
26 else
27 end
28 else
29 end
30 end
Something went wrong with that request. Please try again.